'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var react = require('react');
var ResizeObserver = _interopDefault(require('resize-observer-polyfill'));

function useWindowWidth() {
  var isMounted = react.useRef(true);
  var isSsr = typeof window === 'undefined';

  var _useState = react.useState(isSsr ? 0 : window.innerWidth),
      width = _useState[0],
      setWidth = _useState[1];

  var handleResize = react.useCallback(function () {
    if (isMounted.current) {
      setWidth(window.innerWidth);
    }
  }, [setWidth]);
  react.useEffect(function () {
    var observer = new ResizeObserver(handleResize);
    var element = window.document.querySelector('html');
    if (!element) return;
    observer.observe(element);
    return function () {
      isMounted.current = false;
      if (!element) return;
      observer.unobserve(element);
    };
  }, [handleResize]);
  return width;
}

exports.default = useWindowWidth;
//# sourceMappingURL=react-hook-use-window-width.cjs.development.js.map
